Module java.base
Package java.util.function

# Interface DoubleToIntFunction

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface DoubleToIntFunction

Represents a function that accepts a double-valued argument and produces an int-valued result. This is the `double`-to-`int` primitive specialization for `Function`.

This is a functional interface whose functional method is `applyAsInt(double)`.

Since:
  1.8
See Also:
  `Function`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`int` | `applyAsInt​(double value)` | Applies this function to the given argument.

## Method Details

### applyAsInt

int applyAsInt​(double value)
Applies this function to the given argument.

Parameters:
  `value` - the function argument
Returns:
  the function result